# DAGetAdicMFArray

Gets an array of derivative types for a DA for matrix-free ADIC.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAGetAdicMFArray(DA da,PetscTruth ghosted,void **iptr,void **array_start,PetscInt *tdof)

### Input Parameter

| da | - information about my local patch
| ghosted | - do you want arrays for the ghosted or nonghosted patch?

### Output Parameters

| iptr | - array data structured to be passed to ad_FormFunctionLocal()
| array_start | - actual start of 1d array of all values that adiC can access directly (may be null)
| tdof | - total number of degrees of freedom represented in array_start (may be null)

### Notes

The vector values are NOT initialized and may have garbage in them, so you may need to zero them.

This routine returns the same type of object as the DAVecGetArray(), except its elements are derivative types instead of PetscScalars.

### See Also

DARestoreAdicMFArray(), DAGetArray(), DAGetAdicArray()

Level:advanced
Location:src/dm/da/src/dalocal.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages